/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */

/**
 * ParsingException.java
 */
package fr.inria.icocoa.exception;

/**
 * This Exception is throwed if an error occurs during the parsing of an SDL
 * file to create a Service Object. To display more information about the
 * failure, using "message" variable.s
 * 
 * @author <a href="mailto:sebastien.bianco@inria.fr">Sebastien Bianco</a> - <a
 *         href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 */
public class ParsingException extends SDSDCAEException {

	/**
	 * SerialVersion of the class
	 */
	private static final long serialVersionUID = 1L;

	public ParsingException() {
	}

	/**
	 * @param message
	 */
	public ParsingException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public ParsingException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public ParsingException(String message, Throwable cause) {
		super(message, cause);
	}

}
