/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */
package fr.inria.icocoa.exception;

/**
 * This exception is the high level exception of components concerning SDSDCAE.
 * This type of Exception cannot be thrown because not enough explicit!
 * 
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a
 *         href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : Apr 18, 2007 3:24:02 PM
 */
public class SDSDCAEException extends Exception {

	/**
	 * SerialVersion of the class
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	protected SDSDCAEException() {
		super();
	}

	/**
	 * @param message
	 * @param cause
	 */
	protected SDSDCAEException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	protected SDSDCAEException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	protected SDSDCAEException(Throwable cause) {
		super(cause);
	}

}
