/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */
package fr.inria.icocoa.exception;

/**
 * SemanticTypeNotKnowException.java<br>
 * This Exception will be thrown if a semanticType will not be found in the
 * Ontology
 * 
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a
 *         href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : May 23, 2007 10:52:17 AM
 */
public class SemanticTypeNotKnowException extends SDSDCAEException {

	private static final long serialVersionUID = -4545591894667347363L;

	/**
	 * 
	 */
	public SemanticTypeNotKnowException() {
	}

	/**
	 * @param message
	 */
	public SemanticTypeNotKnowException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public SemanticTypeNotKnowException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public SemanticTypeNotKnowException(String message, Throwable cause) {
		super(message, cause);
	}

}
