/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */

package fr.inria.icocoa.servicemodel.automaton;

/**
 * A representation of a final state of an automaton
 * 
 * @author <a href="mailto:sonia.ben_mokhtar@inria.fr>@inria.fr">Sonia Ben
 *         Mokhtar</a> - <a href="http://www-rocq.inria.fr/arles">Arles Project -
 *         INRIA</a>
 */
public class FinalState extends State {

	/**
	 * the serial version of the class
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Create a new final state from its name
	 * @param Name the name of the state
	 * @param isInitial indicate if this inital state is also an initial state of the automaton
	 */
	public FinalState(String Name, boolean isInitial) {
		this.isInitial = isInitial;
		this.name = Name;
		this.isFinal = true;
	}
	
	/**
	 * Create a new final state from its name
	 * @param Name the name of the state
	 */
	public FinalState(String Name) {
		// this.IsInitial=false;
		this.name = Name;
		this.isFinal = true;
	}

}
