/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */

package fr.inria.icocoa.servicemodel.automaton;

/**
 * A representation of an initial state of an Automaton
 * 
 * @author <a href="mailto:sonia.ben_mokhtar@inria.fr>@inria.fr">Sonia Ben
 *         Mokhtar</a> - <a href="http://www-rocq.inria.fr/arles">Arles Project -
 *         INRIA</a>
 */
public class InitialState extends State {
	/**
	 * the serial version of the class
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Create a new initial state from its name
	 * @param Name the name of the state
	 * @param isFinal indicate if this inital state is also a final state of the automaton
	 */
	public InitialState(String Name, boolean isFinal) {
		this.isInitial = true;
		this.name = Name;
		this.isFinal = isFinal;
	}

	/**
	 * Create a new initial state from its name
	 * @param Name the name of the state
	 */
	public InitialState(String Name) {
		this.isInitial = true;
		this.name = Name;
		// this.IsFinal = false;
	}
}
