/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */

package fr.inria.icocoa.servicemodel.automaton.qos;

import java.util.HashMap;
import java.util.Iterator;

/**
 * NodesFactory.java
 * 
 * @author <a href="mailto:sonia.ben_mokhtar@inria.fr>@inria.fr">Sonia Ben
 *         Mokhtar</a> - <a href="http://www-rocq.inria.fr/arles">Arles Project -
 *         INRIA</a>
 */
public class NodesFactory {
	public NodesFactory() {
	}

	@SuppressWarnings("unchecked")
	public static TreeNode createChoiceNode(HashMap QoSParameters) {
		HashMap listOfInterfaces = new HashMap();
		for (Iterator it = QoSParameters.keySet().iterator(); it.hasNext();) {
			int parameter = ((Integer) it.next()).intValue();
			switch (parameter) {
			case QoSAttribute.LATENCY: {
				listOfInterfaces.put(QoSAttribute.LATENCY_OBJ,
					new LatencyAttribute(0));
				break;
			}
			case QoSAttribute.AVAILABILITY: {
				listOfInterfaces.put(QoSAttribute.AVAILABILITY_OBJ,
					new AvailabilityAttribute(1));
				break;
			}
			}
		}
		TreeNode DefaultNodeChoice = new TreeNode();
		DefaultNodeChoice.setQoSAttributesMap(listOfInterfaces);
		DefaultNodeChoice.setIsLeaf(false);
		DefaultNodeChoice.setLabel("CHOICE");
		return (DefaultNodeChoice);

	}

	@SuppressWarnings("unchecked")
	public static TreeNode createSequenceNode(HashMap QoSParameters) {
		HashMap listOfInterfaces = new HashMap();
		for (Iterator it = QoSParameters.keySet().iterator(); it.hasNext();) {
			int parameter = ((Integer) it.next()).intValue();
			switch (parameter) {
			case QoSAttribute.LATENCY: {
				listOfInterfaces.put(QoSAttribute.LATENCY_OBJ,
					new LatencyAttribute(0));
				break;
			}
			case QoSAttribute.AVAILABILITY: {
				listOfInterfaces.put(QoSAttribute.AVAILABILITY_OBJ,
					new AvailabilityAttribute(1));
				break;
			}
			}
		}

		TreeNode DefaultNodeSequence = new TreeNode();
		DefaultNodeSequence.setQoSAttributesMap(listOfInterfaces);
		DefaultNodeSequence.setIsLeaf(false);
		DefaultNodeSequence.setLabel("SEQUENCE");
		return (DefaultNodeSequence);
	}

	@SuppressWarnings("unchecked")
	public static TreeNode createDefaultNode(HashMap QoSParameters) {
		HashMap listOfInterfaces = new HashMap();
		for (Iterator it = QoSParameters.keySet().iterator(); it.hasNext();) {
			int parameter = ((Integer) it.next()).intValue();
			switch (parameter) {
			case QoSAttribute.LATENCY: {
				listOfInterfaces.put(QoSAttribute.LATENCY_OBJ,
					new LatencyAttribute(0));
				break;
			}
			case QoSAttribute.AVAILABILITY: {
				listOfInterfaces.put(QoSAttribute.AVAILABILITY_OBJ,
					new AvailabilityAttribute(1));
				break;
			}
			}
		}

		TreeNode DefaultNode = new TreeNode();
		DefaultNode.setQoSAttributesMap(listOfInterfaces);
		DefaultNode.setIsLeaf(true);
		DefaultNode.setLabel("OPERANDE");
		return (DefaultNode);

	}

}
