/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */

package fr.inria.icocoa.servicemodel.automaton.qos;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

/**
 * TreeNode.java
 * 
 * @author <a href="mailto:sonia.ben_mokhtar@inria.fr>@inria.fr">Sonia Ben
 *         Mokhtar</a> - <a href="http://www-rocq.inria.fr/arles">Arles Project -
 *         INRIA</a>
 * 
 */
public class TreeNode {
	private boolean isRoot;
	private boolean isLeaf;
	private List children;
	private String label;
	private HashMap QoSAttributesMap;

	// private QoSAttributeInterface value;

	public TreeNode() {
	}

	public TreeNode(HashMap QoSAttributesList) {
		this.QoSAttributesMap = QoSAttributesList;
	}

	// ------------------------------------------------------------------------------
	@SuppressWarnings("unchecked")
	public void add(TreeNode childNode) {
		if (this.children == null)
			this.children = new ArrayList();
		this.children.add(childNode);
	}

	// ------------------------------------------------------------------------------
	/*
	 * public TreeNode cloneNode(){ TreeNode clone = new
	 * TreeNode(this.getValue()); clone.setLabel(this.getLabel());
	 * clone.setIsLeaf(this.isLeaf()); //....... return(clone); }
	 */

	// --------------------------------------Getters and
	// Setters---------------------
	public void setIsRoot(boolean isRoot) {
		this.isRoot = isRoot;
	}

	public void setIsLeaf(boolean isLeaf) {
		this.isLeaf = isLeaf;
	}

	public void setChildren(List children) {
		this.children = children;
	}

	public void setQoSAttributesMap(HashMap value) {
		this.QoSAttributesMap = value;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public boolean isRoot() {
		return isRoot;
	}

	public boolean isLeaf() {
		return isLeaf;
	}

	public List getChildren() {
		return children;
	}

	public HashMap getQoSAttributesMap() {
		return QoSAttributesMap;
	}

	public String getLabel() {
		return label;
	}

	public void setQoSAttribute(Integer attributeType, double value) {
		for (Iterator it = this.QoSAttributesMap.keySet().iterator(); it.hasNext();) {
			Integer key = (Integer) it.next();
			if (key.equals(attributeType)) {
				QoSAttributeInterface inter = (QoSAttributeInterface) this.QoSAttributesMap.get(key);
				inter.setValue(value);
				break;
			}

		}
	}
}
