/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */
package fr.inria.icocoa.servicemodel.domparser;

/**
 * This class contains the name of all tags that need to be recognized by the
 * parser. Only one instance of this class should be created. This Singleton
 * behaviour is managed by the class TagNamefactory.
 * 
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a
 *         href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : Aug 7, 2007 11:07:22 AM
 */
public class TagName {

	/**
	 * Tag corresponding to the starting point of the definition of the type of
	 * input
	 */
	public static final String PROCESS_PARAMETERTYPE = "process:parameterType";

	/** Tag corresponding to the start point of the definition of an Output */
	public static final String PROCESS_OUTPUT = "process:Output";

	/**
	 * Name of the attribute corresponding to the definition of a reference on
	 * an other object
	 */
	public static final String RDF_ID = "rdf:ID";

}
