/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */
package fr.inria.icocoa.servicemodel.domparser.toolobjects;

import fr.inria.icocoa.servicemodel.Capability;
import fr.inria.icocoa.servicemodel.Input;
import fr.inria.icocoa.servicemodel.Output;
import fr.inria.icocoa.servicemodel.QoSProperty;

/**
 * This class contains the map of object create during the parsing.
 * 
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a
 *         href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : Jul 31, 2007 3:40:08 PM
 */
public class MapContainer {

	/** the map of inputs create during the parsing */
	private ConcurrentDataMap<String, Input> inputs = new ConcurrentDataMap<String, Input>();

	/** the map of outputs create during the parsing */
	private ConcurrentDataMap<String, Output> outputs = new ConcurrentDataMap<String, Output>();

	/** the map of inputs create during the parsing */
	private ConcurrentDataMap<String, Capability> capabilities = new ConcurrentDataMap<String, Capability>();

	/** the current QoSProperty definition for the parsed service */
	private QoSProperty qos = null;

	/**
	 * @return the capabilities
	 */
	public ConcurrentDataMap<String, Capability> getCapabilities() {
		return capabilities;
	}

	/**
	 * @param capabilities
	 *            the capabilities to set
	 */
	public void setCapabilities(
			ConcurrentDataMap<String, Capability> capabilities) {
		this.capabilities = capabilities;
	}

	/**
	 * @return the inputs
	 */
	public ConcurrentDataMap<String, Input> getInputs() {
		return inputs;
	}

	/**
	 * @param inputs
	 *            the inputs to set
	 */
	public void setInputs(ConcurrentDataMap<String, Input> inputs) {
		this.inputs = inputs;
	}

	/**
	 * @return the outputs
	 */
	public ConcurrentDataMap<String, Output> getOutputs() {
		return outputs;
	}

	/**
	 * @param outputs
	 *            the outputs to set
	 */
	public void setOutputs(ConcurrentDataMap<String, Output> outputs) {
		this.outputs = outputs;
	}

	/**
	 * @return the qos
	 */
	public QoSProperty getQos() {
		return qos;
	}

	/**
	 * @param qos
	 *            the qos to set
	 */
	public void setQos(QoSProperty qos) {
		this.qos = qos;
	}

}
