/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */
package fr.inria.icocoa.servicemodel.matching;

/**
 * This interface gather all type of matching that exist.
 * 
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a
 *         href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : Sep 4, 2007 4:22:22 PM
 */
public interface MatchingType {

	/**
	 * exact: if the concepts are equivalent or if the required concept is a
	 * direct subclass of the provided one
	 */
	public final short EXACT = 0;

	/** plug in: if the provided concept subsumes the required one */
	public final short PLUGIN = 1;

	/** subsumes: if the required concept subsumes the provided one */
	public final short SUBSUMES = 2;

	/** fail : if there is no subsumption relation between the two concepts */
	public final short FAIL = 3;

}
