package fr.inria.icocoa.servicemodel.qos;

import java.util.List;

public class QoSProperty {

	private Level level;

	private Type type;

	private double value;

	public QoSProperty(Level level, Type type, double value) {
		super();
		this.level = level;
		this.type = type;
		this.value = value;
	}

	public static QoSProperty combine(List<QoSProperty> properties, Type type) {
		double resultVal;
		if (type.equals(Type.LATENCY)) {
			resultVal = 0.0;
			for (QoSProperty property : properties) {
				assert (property.type.equals(type));
				resultVal += property.value;
			}
		} else {
			resultVal = 1.0;
			for (QoSProperty property : properties) {
				assert (property.type.equals(type));
				resultVal *= property.value;
			}
		}
		return new QoSProperty(properties.get(0).getLevel(), type, resultVal);
	}

	public Level getLevel() {
		return level;
	}

	public Type getType() {
		return type;
	}

	public double getValue() {
		return value;
	}

	@Override
	public String toString() {
		return "(" + level + ", " + type + ", " + value + ")";
	}

}
