package fr.inria.icocoa.servicemodel.qos;

public class QoSRequirement {

	private QoSProperty property;
	private Operator operator;

	public QoSRequirement(QoSProperty property, Operator operator) {
		super();
		this.property = property;
		this.operator = operator;
	}

	public boolean isRespectedBy(QoSProperty property) {
		assert (this.property.getType().equals(property.getType()));
		if (operator.equals(Operator.LESS_THAN)) {
			return property.getValue() < this.property.getValue();
		} else if (operator.equals(Operator.LESS_THAN_OR_EQUAL_TO)) {
			return property.getValue() <= this.property.getValue();
		} else if (operator.equals(Operator.EQUAL_TO)) {
			return property.getValue() == this.property.getValue();
		} else if (operator.equals(Operator.GREATER_THAN_OR_EQUAL_TO)) {
			return property.getValue() >= this.property.getValue();
		} else if (operator.equals(Operator.GREATER_THAN)) {
			return property.getValue() > this.property.getValue();
		} else {
			throw new RuntimeException("Unrecognised operator: " + operator);
		}
	}

	public Operator getOperator() {
		return operator;
	}

	public QoSProperty getProperty() {
		return property;
	}

	@Override
	public String toString() {
		return "(" + property + ", " + operator + ")";
	}

}
