/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */
package fr.inria.icocoa.servicemodel.semantictype;

import java.util.List;
import java.util.Map;

/**
 * Implementation of EncodedSemanticType by using Scale number to encode SemanticType 
 *
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : Mar 6, 2008 1:52:28 PM
 */
public class ScaleEncodedSemanticType extends EncodedSemanticType {

	/**
	 * serial ID of the class
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Upper bound of the scale representing the encoded value of the semantic type
	 */
	double upperBound = 0.0;
	
	/**
	 * Upper bound of the scale representing the encoded value of the semantic type
	 */
	double lowerBound = 0.0;
	
	/**
	 * 
	 */
	public ScaleEncodedSemanticType() {}

	/**
	 * @param typeName
	 * @param ontology
	 */
	public ScaleEncodedSemanticType(String typeName, String ontology) {
		super(typeName, ontology);
		// TODO Auto-generated constructor stub
	}
	
	
	/* (non-Javadoc)
	 * @see fr.inria.icocoa.servicemodel.semantictype.EncodedSemanticType#isEquals(fr.inria.icocoa.servicemodel.semantictype.EncodedSemanticType)
	 */
	@Override
	public boolean isEquals(EncodedSemanticType other) {
		// TODO Auto-generated method stub
		return false;
	}

	/* (non-Javadoc)
	 * @see fr.inria.icocoa.servicemodel.semantictype.EncodedSemanticType#isPlugin(fr.inria.icocoa.servicemodel.semantictype.EncodedSemanticType)
	 */
	@Override
	public boolean isPlugin(EncodedSemanticType other) {
		// TODO Auto-generated method stub
		return false;
	}

	/* (non-Javadoc)
	 * @see fr.inria.icocoa.servicemodel.semantictype.EncodedSemanticType#isSubsum(fr.inria.icocoa.servicemodel.semantictype.EncodedSemanticType)
	 */
	@Override
	public boolean isSubsum(EncodedSemanticType other) {
		// TODO Auto-generated method stub
		return false;
	}

	/* (non-Javadoc)
	 * @see fr.inria.icocoa.servicemodel.semantictype.encryptionmanagement.Encoder#encode(java.util.List)
	 */
	public Map<String, List<EncodedSemanticType>> encode(List<String> listOfOntologies) {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		// TODO Auto-generated method stub
		return super.toString();
	}

	

}
