/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */
package fr.inria.icocoa.servicemodel.semantictype.encryptionmanagement;

import java.util.List;
import java.util.Map;

import fr.inria.icocoa.servicemodel.semantictype.Code;

/**
 * This interface define operation that need to realise an Encoder (the object that will take a list of imported ontologies and generate a hashmap of code)
 *
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : Mar 28, 2008 10:00:02 AM
 */
public interface Encoder {
	
	/**
	 * This fonction encode each concept of the given ontologies  
	 * @param listOfOntologies the list of ontologies that need to be encoded 
	 * @return a map where each concept is associated to it encoded form
	 */
	Map<String,List<Code>> encode(List<String> listOfOntologies);

}
