package fr.inria.icocoa.servicemodel.semantictype.encryptionmanagement;

import java.util.List;

import fr.inria.icocoa.servicemodel.semantictype.encryptionmanagement.toolobjects.Node;


/**
 * 
 * Interface that define operation required for a generator of graph from a list of ontologies
 *
 * @author <a href="mailto:sebastien.bianco@inria.fr">sebastien bianco</a> - <a href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 * Creation Date : Mar 31, 2008 3:53:34 PM
 */
public interface OntologiesGraphGenerator {

	/**
	 * Generate the graph corresponding to the reasonned ontologies (a node is a child of another one if the relative concept is a subclass of the concept of this other node)
	 * @param listOfOntologies the list of ontologies to load 
	 * @return the root node of the graph 
	 */
	public abstract Node generateOntologiesGraph(List<String> listOfOntologies);

}