/**
 ##############################################################################
 # Copyright (C) 2006-2010 INRIA
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General Public
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ##############################################################################
 * 
 */

package fr.inria.icocoa.servicemodel.toolsobjects;

/**
 * serviceMap.java
 * 
 * Mapping between a service SDL document and its associated WSDL document<br>
 * serviceMap = (String owl,String wsdl)
 * 
 * @author <a href="mailto:Galip-Ferda.Tartanoglu@inria.fr">Ferda Tartanoglu</a> -
 *         <a href="http://www-rocq.inria.fr/arles">Arles Project - INRIA</a>
 * 
 */
public class ServiceMap {

	/** the owls decription file content */
	private String owl = "";

	/** the WSDL description file content */
	private String wsdl = "";

	/**
	 * Constructor of the object
	 * 
	 * @param serviceOWL :
	 *            the OWL service description
	 * @param serviceWSDL :
	 *            the WSDL service description
	 */
	public ServiceMap(String serviceOWL, String serviceWSDL) {
		owl = serviceOWL;
		wsdl = serviceWSDL;
	}

	/**
	 * @param owl
	 *            the owl to set
	 */
	public void setOwl(String owl) {
		this.owl = owl;
	}

	/**
	 * @return the owl
	 */
	public String getOwl() {
		return owl;
	}

	/**
	 * @param wsdl
	 *            the wsdl to set
	 */
	public void setWsdl(String wsdl) {
		this.wsdl = wsdl;
	}

	/**
	 * @return the wsdl
	 */
	public String getWsdl() {
		return wsdl;
	}

	@Override
	public String toString() {
		return "[owl = " + this.getOwl() + ",wsdl = " + this.getWsdl() + "]";
	}

}
